<Alte::Card @type="warning" {{did-update this.updateCurrency this.application.currency}}>
  <Alte::Card::Header @title={{t "components.loan.credit-score.parameters.title"}} @titleIcon="flask" />
  <Alte::Card::Body>
    <BsForm @formLayout="vertical" as |form|>
      <fieldset class="form-group">
        <div class="row">
          <div class="col-12">
            <label id="borrowers-label">{{t "components.loan.credit-score.parameters.borrowers"}}</label>
            <span class="tooltip-container">
              <BsTooltip @title={{t "components.loan.credit-score.parameters.borrowers-hint"}} />
              <FaIcon class="text-info" @icon="question-circle" />
            </span>
            <BsButtonGroup
              @onChange={{this.setNumberBorrowers}}
              @type="radio"
              @value={{@parameters.numberBorrowers}}
              aria-labelledby="borrowers-label"
              class="d-flex"
              role="radiogroup"
              as |bg|
            >
              <bg.button
                @type={{if (eq @parameters.numberBorrowers 1) "primary" "default"}}
                @value={{1}}
                aria-checked={{if (eq @parameters.numberBorrowers 1) "true" "false"}}
                role="radio"
              >
                <FaIcon @icon="user" />
              </bg.button>
              <bg.button
                @type={{if (eq @parameters.numberBorrowers 2) "primary" "default"}}
                @value={{2}}
                aria-checked={{if (eq @parameters.numberBorrowers 2) "true" "false"}}
                role="radio"
              >
                <FaIcon @icon="user" />
                <FaIcon @icon="user" />
              </bg.button>
            </BsButtonGroup>
          </div>
        </div>
      </fieldset>
      <hr />

      <strong><FaIcon @icon="user" /> {{t "components.loan.credit-score.parameters.personal-information"}}</strong><br
      />
      {{#each @parameters.borrowers as |borrower index|}}
        <strong>{{t "components.loan.credit-score.parameters.borrower"}} {{add index 1}}</strong>
        <Form::Range
          @form={{form}}
          @label={{t "components.loan.credit-score.parameters.age"}}
          @onChange={{fn this.setBorrowerAge borrower}}
          @value={{borrower.age}}
          @valueLabelKey="components.loan.credit-score.parameters.age-value"
          @valueLabelKeyParam="ageCount"
          @valueMax={{borrower.ageMax}}
          @valueMin={{18}}
        />
        <Form::EnumSelect
          @form={{form}}
          @label={{t "components.loan.credit-score.parameters.socio-professional-category"}}
          @onChange={{fn this.setBorrowerSocioProfessionalCategory borrower}}
          @optionKey="enums.socio-professional-category."
          @options={{this.socioProfessionalCategories}}
          @value={{borrower.socioProfessionalCategory}}
        />
        <Form::Range
          @form={{form}}
          @hint={{t "components.loan.credit-score.parameters.socio-professional-category-years-hint"}}
          @label={{t "components.loan.credit-score.parameters.socio-professional-category-years"}}
          @onChange={{fn this.setBorrowerSocioProfessionalCategoryYears borrower}}
          @value={{borrower.socioProfessionalCategoryYears}}
          @valueLabelKey="components.loan.credit-score.parameters.year-value"
          @valueLabelKeyParam="yearCount"
          @valueMax={{borrower.socioProfessionalCategoryYearsMax}}
          @valueMin={{0}}
        />
        <Form::ShortSeparator />
      {{/each}}
      <Form::Range
        @form={{form}}
        @label={{t "components.loan.credit-score.parameters.children"}}
        @onChange={{this.setChldren}}
        @value={{@parameters.children}}
        @valueLabelKey="components.loan.credit-score.parameters.children-value"
        @valueLabelKeyParam="childrenCount"
        @valueMax={{@parameters.childrenMax}}
      />
      <Form::EnumSelect
        @form={{form}}
        @label={{t "components.loan.credit-score.parameters.residential-status"}}
        @onChange={{this.setResidentialStatus}}
        @optionKey="enums.residential-status."
        @options={{this.residentialStatuses}}
        @value={{@parameters.residentialStatus}}
      />
      <hr />

      <strong><FaIcon @icon="piggy-bank" /> {{t "components.loan.credit-score.parameters.finances"}}</strong>
      <Form::Amount
        @form={{form}}
        @hint={{t "components.loan.credit-score.parameters.income-hint"}}
        @label={{t "components.loan.credit-score.parameters.income"}}
        @onChange={{this.setIncome}}
        @step={{1000}}
        @value={{@parameters.income}}
        @valueMax={{@parameters.incomeMax}}
      />
      <Form::Amount
        @form={{form}}
        @hint={{t "components.loan.credit-score.parameters.live-remainder-hint"}}
        @label={{t "components.loan.credit-score.parameters.live-remainder"}}
        @onChange={{this.setLiveRemainder}}
        @step={{100}}
        @value={{@parameters.liveRemainder}}
        @valueMax={{@parameters.liveRemainderMax}}
      />
      <Form::Amount
        @form={{form}}
        @label={{t "components.loan.credit-score.parameters.savings"}}
        @onChange={{this.setSavings}}
        @step={{1000}}
        @value={{@parameters.savings}}
        @valueMax={{@parameters.savingsMax}}
      />
      <Form::Range
        @form={{form}}
        @hint={{t "components.loan.credit-score.parameters.banking-incidents-hint"}}
        @label={{t "components.loan.credit-score.parameters.banking-incidents"}}
        @onChange={{this.setBankingIncidents}}
        @value={{@parameters.bankingIncidents}}
        @valueLabelKey="components.loan.credit-score.parameters.banking-incidents-value"
        @valueLabelKeyParam="incidentsCount"
        @valueMax={{@parameters.bankingIncidentsMax}}
      />
      <hr />

      <strong><FaIcon @icon="balance-scale-left" /> {{t "components.loan.credit-score.parameters.loan"}}</strong>
      <Form::Amount
        @form={{form}}
        @label={{t "components.loan.credit-score.parameters.loan-amount"}}
        @onChange={{this.setLoanAmount}}
        @step={{1000}}
        @value={{@parameters.loanAmount}}
        @valueMax={{@parameters.loanAmountMax}}
      />
      <Form::Amount
        @form={{form}}
        @label={{t "components.loan.credit-score.parameters.contribution"}}
        @onChange={{this.setContribution}}
        @step={{1000}}
        @value={{@parameters.contribution}}
        @valueMax={{@parameters.contributionMax}}
      />
      <Form::Range
        @form={{form}}
        @label={{t "components.loan.credit-score.parameters.duration"}}
        @onChange={{this.setDuration}}
        @value={{@parameters.duration}}
        @valueLabelKey="components.loan.credit-score.parameters.year-value"
        @valueLabelKeyParam="yearCount"
        @valueMax={{@parameters.durationMax}}
        @valueMin={{@parameters.durationMin}}
      />
      <Form::Percentage
        @form={{form}}
        @hint={{t "components.loan.credit-score.parameters.debt-rate-hint"}}
        @label={{t "components.loan.credit-score.parameters.debt-rate"}}
        @onChange={{this.setDebtRate}}
        @step={{0.5}}
        @value={{@parameters.debtRate}}
        @valueMax={{@parameters.debtRateMax}}
      />

    </BsForm>
  </Alte::Card::Body>
</Alte::Card>